Subject: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Robert Pluim <[email-masked]>
Date: Thu, 21 Dec 2017 09:30:41 +0100

Ted Zlatanov <[email-masked]> writes:

> On Wed, 20 Dec 2017 20:15:48 -0500 Ted Zlatanov <[email-masked]> wrote: 
>
> TZ> On Wed, 20 Dec 2017 18:19:10 +0200 Eli Zaretskii <[email-masked]> wrote: 
> EZ> Thanks, but this means Emacs will now refuse to load GnuTLS on systems
> EZ> that have version 3.4 or older of the library, right?  If so, I think
> EZ> the loading and the use of the function should be conditioned by an
> EZ> appropriate preprocessor directive to compile that code only for
> EZ> 3.5.X.
>
> TZ> I've applied Andy's updated patch for GnuTLS 3.5.1 and older, and
> TZ> hard-coded compatibility for %DUMBFW between 3.2.5 when it was
> TZ> introduced and 3.5.1.
>
> TZ> Looking forward to closing this one for good... thanks.
>
> Noah's Travis CI build passed. I'll wait for Andy, Eli, and Kaushal to
> confirm before marking this as done.

emacs-26 builds for me now. BTW Ted, did you want to put the DUMBFW
compatibility inside the HAVE_GNUTLS3 conditional?
HAVE_GNUTLS_EXT__DUMBFW implies HAVE_GNUTLS3, but it's currently used
on its own.

Regards

Robert